import { Meta } from '@storybook/addon-docs';
import Direction from './assets/direction.svg';
import StackAlt from './assets/stackalt.svg';
import Flow from './assets/flow.svg';
import Plugin from './assets/plugin.svg';

<Meta title="Install/Readme" />

<style>
  {`
    .subheading {
      --mediumdark: '#999999';
      font-weight: 900;
      font-size: 13px;
      color: #999;
      letter-spacing: 6px;
      line-height: 24px;
      text-transform: uppercase;
      margin-bottom: 12px;
      margin-top: 40px;
    }

    .link-list {
      display: grid;
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 1fr;
      row-gap: 10px;
    }

    @media (min-width: 620px) {
      .link-list {
        row-gap: 20px;
        column-gap: 20px;
        grid-template-columns: 1fr 1fr;
      }
    }

    @media all and (-ms-high-contrast:none) {
    .link-list {
        display: -ms-grid;
        -ms-grid-columns: 1fr 1fr;
        -ms-grid-rows: 1fr 1fr;
      }
    }

    .link-item {
      display: block;
      padding: 20px 30px 20px 15px;
      border: 1px solid #00000010;
      border-radius: 5px;
      transition: background 150ms ease-out, border 150ms ease-out, transform 150ms ease-out;
      color: #333333;
      display: flex;
      align-items: flex-start;
    }

    .link-item:hover {
      border-color: #1EA7FD50;
      transform: translate3d(0, -3px, 0);
      box-shadow: rgba(0, 0, 0, 0.08) 0 3px 10px 0;
    }

    .link-item:active {
      border-color: #1EA7FD;
      transform: translate3d(0, 0, 0);
    }

    .link-item strong {
      font-weight: 700;
      display: block;
      margin-bottom: 2px;
    }

    .link-item img {
      height: 40px;
      width: 40px;
      margin-right: 15px;
      flex: none;
    }

    .link-item span {
      font-size: 14px;
      line-height: 20px;
    }
  `}
</style>

# Vue MapLibre

Opinionated Vue 3 library wrapping [**MapLibre GL JS**](https://maplibre.org).
This set of components aims to make easy to display vector maps.

[Gitlab repo](https://gitlab.com/atlastories.app/vue-maplibre)

```yarn add @atlastories.app/vue-maplibre```

```
// main.js

import { createApp } from 'vue'
import App from './App.vue'
import VueMapLibre from '@atlastories.app/vue-maplibre'
import '@atlastories.app/vue-maplibre/dist/vue-maplibre.css'

createApp(App)
  .use(VueMapLibre)
  .mount('#app')

```

<div className="subheading">Learn</div>

<div className="link-list">
  <a
    className="link-item"
    href="/vue-maplibre/?path=/docs/map-readme--docs">
    <img src={Direction} />
    <span>
      <strong>Main components</strong>
      Map, Marker, Popup and Image loader.
    </span>
  </a>
  <a
    className="link-item"
    href="/vue-maplibre/?path=/docs/layers-readme--docs">
    <img src={StackAlt} />
    <span>
      <strong>Layers</strong>
      Components in charge to display, childs of sources.
    </span>
  </a>
  <a
    className="link-item"
    href="/vue-maplibre/?path=/docs/sources-readme--docs">
    <img src={Flow} />
    <span>
      <strong>Sources</strong>
      Components dedicated to data, like geojson or tiles.
    </span>
  </a>
  <a
    className="link-item"
    href="/vue-maplibre/?path=/docs/controls-readme--docs">
    <img src={Plugin} />
    <span>
      <strong>Controls</strong>
      UI buttons to control map.
    </span>
  </a>
</div>
